summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2016-12-05 22:57:21 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2016-12-05 22:58:19 +0000
commit61b4817787b6297547bf6ee0e402f9dcab0d2d69 (patch)
treecdd65eba2e28297ff8aedd51236eea1856902906 /sci-astronomy
parentdev-python/pydl: version bump (diff)
downloadgentoo-61b4817787b6297547bf6ee0e402f9dcab0d2d69.tar.gz
gentoo-61b4817787b6297547bf6ee0e402f9dcab0d2d69.tar.bz2
gentoo-61b4817787b6297547bf6ee0e402f9dcab0d2d69.zip
sci-astronomy/astrometry: version bump
Package-Manager: portage-2.3.2
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/astrometry/Manifest1
-rw-r--r--sci-astronomy/astrometry/astrometry-0.69.ebuild107
2 files changed, 108 insertions, 0 deletions
diff --git a/sci-astronomy/astrometry/Manifest b/sci-astronomy/astrometry/Manifest
index e29b4f7e775..131f514c97a 100644
--- a/sci-astronomy/astrometry/Manifest
+++ b/sci-astronomy/astrometry/Manifest
@@ -1 +1,2 @@
DIST astrometry.net-0.67.tar.gz 10941863 SHA256 e351c81f7787550d42d45855db394a1702fd17c249ba934bdf4b6abf56281446 SHA512 f087e5a73a9881b1d4b1e4c205d45dc8b8663c304d8d1c1369a8427884df49fc8331fafeb5dc63648c2670b41a2626745568f6f11943bac56972db2d2bb11ddb WHIRLPOOL f4f71a54dd2694d0e98168e98e31846c7423c7cf593c0a629fa825e67b596ce3fa191719ef8cf3f52c1d0d641307e720176a977f28ffb1cffb0c60071f729af6
+DIST astrometry.net-0.69.tar.gz 11194563 SHA256 6a445acfd4ff3c082eb56fcba22ee626b45a98665633710a6b1d4a3edef36f3f SHA512 1c36655d2f716d41ecc3f48f837342d6f960b75a46df14f80630770a209c6a9c34851177ebec5180690f0d8ae61762dd5affded05565f7511a59ac90c2340453 WHIRLPOOL fbe7f877f6abefaeaae783a685a493e72690aa6734e9389edf62430576e49ee5350d4876f18f654b7397bba84316cec0152ef805e55d2a1f644d7813d47789a4
diff --git a/sci-astronomy/astrometry/astrometry-0.69.ebuild b/sci-astronomy/astrometry/astrometry-0.69.ebuild
new file mode 100644
index 00000000000..5261dfbaf2c
--- /dev/null
+++ b/sci-astronomy/astrometry/astrometry-0.69.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils toolchain-funcs python-single-r1
+
+MYP=${PN}.net-${PV}
+
+DESCRIPTION="Automated astrometric calibration programs and service"
+HOMEPAGE="http://astrometry.net/"
+SRC_URI="https://github.com/dstndstn/astrometry.net/releases/download/${PV}/${MYP}.tar.gz"
+
+LICENSE="BSD GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/astropy[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ media-libs/libpng:0
+ media-libs/netpbm
+ sci-astronomy/wcslib:0=
+ sci-libs/cfitsio:0=
+ sci-libs/gsl:0=
+ sys-libs/zlib:0=
+ virtual/jpeg:0
+ x11-libs/cairo"
+DEPEND="${RDEPEND}
+ dev-lang/swig:0
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MYP}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.67-soname.patch
+ "${FILESDIR}"/${PN}-0.67-dynlink.patch
+ "${FILESDIR}"/${PN}-0.67-qsortr.patch
+)
+
+src_prepare() {
+ default
+ # fix python scripts
+ python_fix_shebang "${S}"
+ sed -e "s|python setup-util.py|${EPYTHON} setup-util.py|" -i util/Makefile || die
+ sed -e "s|python setup.py|${EPYTHON} setup.py|" -i {libkd,sdss,blind}/Makefile || die
+ sed -e "s|python -c|${EPYTHON} -c|" -i blind/Makefile || die
+ sed -e "s|python <<EOF|${EPYTHON} <<EOF|" -i util/simplexy.c || die
+ sed -e "s|python -V|${EPYTHON} -V|" -i Makefile || die
+ # respect use compilation flags
+ sed -e '/-O3/d' -e '/-fomit-frame-pointer/d' -i util/makefile.common || die
+ # as-needed
+ sed -e "s|-lm|-lm $($(tc-getPKG_CONFIG) --libs wcslib gsl)|" -i util/Makefile || die
+ export SYSTEM_GSL=yes
+}
+
+src_compile() {
+ tc-export CC RANLIB AR
+ # fragile makefiles, build targets sequentially
+ emake
+ emake py
+ emake extra
+ emake report.txt
+}
+
+src_test() {
+ emake test
+ local d
+ for d in util blind libkd; do
+ pushd ${d} > /dev/null
+ ./test || die "failed tests in ${d}"
+ popd ${d} > /dev/null
+ done
+}
+
+ap_make() {
+ emake \
+ INSTALL_DIR="${ED%/}/usr" \
+ DATA_INSTALL_DIR="${ED%/}/usr/share/astrometry" \
+ LIB_INSTALL_DIR="${ED%/}/usr/$(get_libdir)" \
+ ETC_INSTALL_DIR="${ED%/}/etc" \
+ MAN1_INSTALL_DIR="${ED%/}/usr/share/man/man1" \
+ DOC_INSTALL_DIR="${ED%/}/usr/share/doc/${PF}" \
+ EXAMPLE_INSTALL_DIR="${ED%/}/usr/share/doc/${PF}/examples" \
+ PY_BASE_INSTALL_DIR="${ED%/}$(python_get_sitedir)/astrometry" \
+ PY_BASE_LINK_DIR="../$(python_get_sitedir | sed -e 's|/usr/||')/astrometry" \
+ FINAL_DIR="${EPREFIX%/}/usr" \
+ DATA_FINAL_DIR="${EPREFIX%/}/usr/share/astrometry" \
+ $@
+}
+
+src_install() {
+ ap_make install-core
+ ap_make -C util install
+ ap_make -C blind install-extra
+
+ # remove duplicates and non installable libraries
+ rm "${ED}"/usr/bin/{fitscopy,imcopy,listhead} || die
+ rm "${ED}"/usr/$(get_libdir)/lib*.a || die
+ rm "${ED}"/usr/share/doc/${PF}/LICENSE || die
+
+ use examples || rm -r "${ED}"/usr/share/doc/${PF}/examples
+}